Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.usermgmt.taglib
Interface UserManagementTagConstants

All Known Implementing Classes:
  UserManagementTag

public interface UserManagementTagConstants

Constants that represent the success/failure codes for most tag operations. These are the values returned by the "result" parameter of the User Management tags.

Field Summary
`static int` | `ADD_GROUP_FAILED` An error occured while trying to add the group
`static int` | `ADD_GROUP_OK` The group was added successfully
`static int` | `ADD_USER_FAILED` An error occured while trying to add the user
`static int` | `ADD_USER_OK` The user was added successfully
`static int` | `CREATE_GROUP_FAILED` An error occured while trying to create the group
`static int` | `CREATE_GROUP_OK` The group was created successfully
`static int` | `CREATE_USER_FAILED` An error occured while creating the user
`static int` | `CREATE_USER_OK` The user was created successfully
`static String` | `DEFAULT_SEARCH_EXP` Default search expression - a wildcard
`static int` | `DEFAULT_USER_LIMIT` The default search limit for user/group searches
`static int` | `GET_PROFILE_FAILED` The profile retrieval failed
`static int` | `GET_PROFILE_OK` The profile retrieval succeeded
`static int` | `GROUP_CHANGE_FAILED` An error occured while trying to modify the group
`static int` | `GROUP_CHANGE_OK` The group was modified successfully
`static int` | `GROUP_EXISTS` The group already exists, and could not be created
`static int` | `LOGIN_ERROR` An error occured while trying to authenticate the user
`static int` | `LOGIN_FAILED` The user did not authenticate successfully
`static int` | `LOGIN_OK` The user authenticated successfully
`static int` | `NO_SUCH_PROFILE` The profile retrieval found no record for the profile key
`static int` | `NO_SUCH_SUCCESSOR` The profile retrieval found no record for the profile successor key
`static int` | `REMOVE_GROUP_FAILED` An error occured while trying to remove the group
`static int` | `REMOVE_GROUP_OK` The group was removed successfully
`static int` | `REMOVE_USER_FAILED` An error occured while removing the user
`static int` | `REMOVE_USER_OK` The user was removed successfully
`static int` | `RESERVED_GROUP_NAME` The group could not be created because the name is reserved by the system
`static int` | `RESERVED_USER_NAME` The user could not be created because the name is reserved by the system
`static int` | `SET_PASSWORD_FAILED` An error occured while trying to set the user's password
`static int` | `SET_PASSWORD_OK` The user's password was set successfully
`static int` | `SET_PROPERTY_FAILED` The set property call failed
`static int` | `SET_PROPERTY_OK` The set property call worked
`static int` | `USER_EXISTS` The user already exists, and could not be created
`static int` | `USER_LIMIT_EXCEEDED` Deprecated. Tags will no longer return this value; the search results will just be truncated
`static int` | `USER_SEARCH_FAILED` An error occured while trying to search for users
`static int` | `USER_SEARCH_OK` The user search was successful

Field Detail

### ADD_GROUP_FAILED

    public static final int ADD_GROUP_FAILED

  An error occured while trying to add the group

  See Also:
    Constant Field Values

### ADD_GROUP_OK

    public static final int ADD_GROUP_OK

  The group was added successfully

  See Also:
    Constant Field Values

### ADD_USER_FAILED

    public static final int ADD_USER_FAILED

  An error occured while trying to add the user

  See Also:
    Constant Field Values

### ADD_USER_OK

    public static final int ADD_USER_OK

  The user was added successfully

  See Also:
    Constant Field Values

### CREATE_GROUP_FAILED

    public static final int CREATE_GROUP_FAILED

  An error occured while trying to create the group

  See Also:
    Constant Field Values

### CREATE_GROUP_OK

    public static final int CREATE_GROUP_OK

  The group was created successfully

  See Also:
    Constant Field Values

### CREATE_USER_FAILED

    public static final int CREATE_USER_FAILED

  An error occured while creating the user

  See Also:
    Constant Field Values

### CREATE_USER_OK

    public static final int CREATE_USER_OK

  The user was created successfully

  See Also:
    Constant Field Values

### DEFAULT_SEARCH_EXP

    public static final String DEFAULT_SEARCH_EXP

  Default search expression - a wildcard

  See Also:
    Constant Field Values

### DEFAULT_USER_LIMIT

    public static final int DEFAULT_USER_LIMIT

  The default search limit for user/group searches

  See Also:
    Constant Field Values

### GET_PROFILE_FAILED

    public static final int GET_PROFILE_FAILED

  The profile retrieval failed

  See Also:
    Constant Field Values

### GET_PROFILE_OK

    public static final int GET_PROFILE_OK

  The profile retrieval succeeded

  See Also:
    Constant Field Values

### GROUP_CHANGE_FAILED

    public static final int GROUP_CHANGE_FAILED

  An error occured while trying to modify the group

  See Also:
    Constant Field Values

### GROUP_CHANGE_OK

    public static final int GROUP_CHANGE_OK

  The group was modified successfully

  See Also:
    Constant Field Values

### GROUP_EXISTS

    public static final int GROUP_EXISTS

  The group already exists, and could not be created

  See Also:
    Constant Field Values

### LOGIN_ERROR

    public static final int LOGIN_ERROR

  An error occured while trying to authenticate the user

  See Also:
    Constant Field Values

### LOGIN_FAILED

    public static final int LOGIN_FAILED

  The user did not authenticate successfully

  See Also:
    Constant Field Values

### LOGIN_OK

    public static final int LOGIN_OK

  The user authenticated successfully

  See Also:
    Constant Field Values

### NO_SUCH_PROFILE

    public static final int NO_SUCH_PROFILE

  The profile retrieval found no record for the profile key

  See Also:
    Constant Field Values

### NO_SUCH_SUCCESSOR

    public static final int NO_SUCH_SUCCESSOR

  The profile retrieval found no record for the profile successor key

  See Also:
    Constant Field Values

### REMOVE_GROUP_FAILED

    public static final int REMOVE_GROUP_FAILED

  An error occured while trying to remove the group

  See Also:
    Constant Field Values

### REMOVE_GROUP_OK

    public static final int REMOVE_GROUP_OK

  The group was removed successfully

  See Also:
    Constant Field Values

### REMOVE_USER_FAILED

    public static final int REMOVE_USER_FAILED

  An error occured while removing the user

  See Also:
    Constant Field Values

### REMOVE_USER_OK

    public static final int REMOVE_USER_OK

  The user was removed successfully

  See Also:
    Constant Field Values

### RESERVED_GROUP_NAME

    public static final int RESERVED_GROUP_NAME

  The group could not be created because the name is reserved by the system

  See Also:
    Constant Field Values

### RESERVED_USER_NAME

    public static final int RESERVED_USER_NAME

  The user could not be created because the name is reserved by the system

  See Also:
    Constant Field Values

### SET_PASSWORD_FAILED

    public static final int SET_PASSWORD_FAILED

  An error occured while trying to set the user's password

  See Also:
    Constant Field Values

### SET_PASSWORD_OK

    public static final int SET_PASSWORD_OK

  The user's password was set successfully

  See Also:
    Constant Field Values

### SET_PROPERTY_FAILED

    public static final int SET_PROPERTY_FAILED

  The set property call failed

  See Also:
    Constant Field Values

### SET_PROPERTY_OK

    public static final int SET_PROPERTY_OK

  The set property call worked

  See Also:
    Constant Field Values

### USER_EXISTS

    public static final int USER_EXISTS

  The user already exists, and could not be created

  See Also:
    Constant Field Values

### USER_LIMIT_EXCEEDED

    public static final int USER_LIMIT_EXCEEDED

  Deprecated. Tags will no longer return this value; the search results will just be truncated

  The user search limit was exceeded

  See Also:
    Constant Field Values

### USER_SEARCH_FAILED

    public static final int USER_SEARCH_FAILED

  An error occured while trying to search for users

  See Also:
    Constant Field Values

### USER_SEARCH_OK

    public static final int USER_SEARCH_OK

  The user search was successful

  See Also:
    Constant Field Values

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 BEA Systems, Inc. All Rights Reserved